//
//  QueryEditorViewController.m
//  Busca Pios
//
//  Created by Santiago Pavón on 16/11/13.
//  Copyright (c) 2013 UPM. All rights reserved.
//

#import "CityEditorViewController.h"

@interface CityEditorViewController ()

@property (weak, nonatomic) IBOutlet UITextField *cityTextField;

@end

@implementation CityEditorViewController


- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view.
    
    self.cityTextField.text = self.city;
    
    [self.cityTextField becomeFirstResponder];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (IBAction)donePressed:(id)sender {
    
    [self performSegueWithIdentifier:@"Edit Done" sender:self];
}


#pragma mark - Segues

-(void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender
{
    if ([segue.identifier isEqualToString:@"Edit Cancel"]) {
        
        self.city = nil;
        
    } else if ([segue.identifier isEqualToString:@"Edit Done"]) {
        
        self.city = self.cityTextField.text;
        
    }
}

@end
